<?php
//user.php
include('db_con.php');
include('function.php');
if (isset($_SESSION['user_id'])) {
		$user_type = $_SESSION['user_type'];
		$user_id = $_SESSION['user_id'];
		$user_name = $_SESSION['user_name'];
		$branch_id = $_SESSION['branch_id'];
		$branch_name = $_SESSION['branch_name'];
		$store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
}else{
	header('Location: login');
	die();
}
$sql = "SELECT IFNULL(doc_status,'ON') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'vendors'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $vendors = $statement->fetchColumn();
            if($vendors=='OFF'){header('Location: dashboard');}
            
            $sql = "SELECT IFNULL(doc_status,'ON') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'vendors_new'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $vendors_new = $statement->fetchColumn();
            $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'vendors_edit'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $vendors_edit = $statement->fetchColumn();
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'vendors_delete'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $vendors_delete = $statement->fetchColumn();
           
           
//if(!isset($_SESSION["type"]))
//{
//	header('location:login');
//}
//if($_SESSION["type"] != 'master')
//{
//	header("location:index.php");
//}
?>
<!DOCTYPE html>
<html>
<head>
	<?php include('include/head.php'); ?>
	
</head>
<body>
	<title><?php echo basename(__FILE__, '.php'); ?></title>
	<?php include('include/header.php'); ?>
	<?php include('include/sidebar.php'); ?>
<div class="main-container">
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Payables</a></li>
              <li class="breadcrumb-item active">Vendors </li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
     <span id="alert_action"></span>
    <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
            	<div class="row">
                          <div class="col-lg-10 col-md-10 col-sm-8 col-xs-6">
                              <h3 class="panel-title">Vendors</h3>
                            </div>
                            <?php if($vendors_new=='ON')
                            {
                            	echo '<div class="col-lg-2 col-md-2 col-sm-4 col-xs-6" align="right">
                           <button type="button" name="add" id="add_button" data-toggle="modal" data-target="#dataModal" class="btn btn-primary "><i class="fa fa-plus"></i> Add New</button>
                           
                          </div>';
                            }?>
                            
                </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              
                        <table width="100%" id="_dataTable" class="table table-bordered table-striped table-hover">
                          <thead>
									<tr>
										<th>Id</th>
										<th>Name</th>
										<th>Address</th>
										<th>City</th>
									
										<th>Phone</th>
										<th>Status</th>
										<?php if($vendors_edit=='ON')
										{
											echo '<th>Edit</th>';
										}
										if($vendors_delete=='ON')
										{
										echo '<th>Delete</th>';
									}?>
									
									</tr>
								</thead>
                   			</table>
                   		  </div>
			        </div>
			    </div>
			</div>
			       
        
        
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
 
  <!-- /.content-wrapper -->
 <?php include('include/footer.php'); ?>
		</div>
		</div>
	<?php include('include/script.php'); ?>
	
</body>
</html>
        <div id="dataModal" class="modal fade">
        	<div class="modal-dialog">
        		<form method="post" id="data_form">
        			<div class="modal-content">
        			<div class="modal-header">
        				
						<h4 class="modal-title"><i class="fa fa-plus"></i> Add Vendor</h4>
        			</div>
        			<div class="modal-body">
        				
        				<div class="form-group">
							
							<input type="text" name="v_name" id="v_name" class="form-control" placeholder="vendor Name" required />
						</div>
						<div class="form-group">
							
							<input type="text" name="address" id="address" class="form-control"  placeholder="Address" />
						</div>
						
						
						<div class="form-group">
							
							<input type="text" name="city" id="city" class="form-control"  placeholder="City" />
						</div>
						
						
						<div class="form-group">
							
							<input type="text" name="phone" id="phone" class="form-control"  placeholder="Phone" />
						</div>
						<div class="form-group">
						
							<input type="text" name="email" id="email" class="form-control"  placeholder="E-Mail" />
						</div>
						<div class="form-group">
							
							<input type="text" name="web" id="web" class="form-control"  placeholder="Website" />
						</div>

						<div class="form-group">
							<label>GST</label>
							<select name="gst" id="gst" class="form-control" />
							<option value="ON">ON</option>
							<option value="OFF">OFF</option>
                        
                         
                        </select>
						</div>

						<div class="form-group">
							
							<input type="text" name="stn" id="stn" class="form-control"  placeholder="Sales Tax No." />
						</div>

						<div class="form-group">
							
							<input type="text" name="ntn" id="ntn" class="form-control"  placeholder="National Sales Tax No." />
						</div>

							<div class="form-group">
							
							<input type="text" name="op_balance" id="op_balance" class="form-control"  placeholder="Opening Balance" />
						</div>
						
						
						
						
						<div class="form-group">
							<label>Status</label>
							<select name="status" id="status" class="form-control" />
							<option value="Active">Active</option>
							<option value="Inactive">Inactive</option>
                        
                         
                        </select>
						</div>
        			</div>
        			<div class="modal-footer">
        				<input type="hidden" name="v_id" id="v_id" />
        				<input type="hidden" name="dated" id="dated" />
        				<input type="hidden" name="btn_action" id="btn_action" />
        				<input type="submit" name="action" id="action" class="form-control btn btn-info" value="Add" />
        				<button type="button" class="form-control btn btn-default" data-dismiss="modal">Close</button>
        			</div>
        		</div>
        		</form>
        	</div>
        </div>
          <script>
  var isSubmitting = false
$(document).ready(function () {
    $('#data_form').submit(function(){
        isSubmitting = true
    })
    $('#data_form').data('initial-state', $('#data_form').serialize());
    $(window).on('beforeunload', function() {
        if (!isSubmitting && $('#data_form').serialize() != $('#data_form').data('initial-state')){
            return 'You have unsaved changes which will not be saved.'
        }
    });
})
</script>
 <script>
 
  $(document).ready(function(){
    $(window).keydown(function(event){
    if(event.keyCode == 13) {
    
      event.preventDefault();
    }
  });
    $('#dated').datepicker({
      dateFormat: 'yy-mm-dd',
      changeMonth: true,
      changeYear: true
    });
  })
  
  </script>
<script>
$(document).ready(function(){
	$('#add_button').click(function(){
		$('#data_form')[0].reset();
		$('.modal-title').html("<i class='fa fa-plus'></i> Add vendor");
		$('#action').val("Add");
		$('#btn_action').val("Add");
	});
	var _dataTable = $('#_dataTable').DataTable({
		"processing": true,
		"serverSide": true,
		"order": [],
		"ajax":{
			url:"vendor_fetch.php",
			type:"POST"
		},
		"columnDefs":[
			{
				"target":[1,2,3,4],
				"orderable":false
			}
		],
		"language": {
					"info": "_START_-_END_ of _TOTAL_ entries",
					searchPlaceholder: "Search"
				},
				"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
				
				"pageLength": 25
				
	});
			
	$(document).on('submit', '#data_form', function(event){
		event.preventDefault();
		$('#action').attr('disabled','disabled');
		var cust_data = $(this).serialize();
		$.ajax({
			url:"vendor_action.php",
			method:"POST",
			data:cust_data,
			success:function(data)
			{
				$('#data_form')[0].reset();
				$('#dataModal').modal('hide');
				$('#alert_action').fadeIn().html('<div class="alert alert-success">'+data+'</div>');
				$('#action').attr('disabled', false);
				_dataTable.ajax.reload();
			}
		})
	});
	$(document).on('click', '.update', function(){
		var v_id = $(this).attr("id");
		var btn_action = 'fetch_single';
		var dated = $('#dated'). val();
		$.ajax({
			url:"vendor_action.php",
			method:"POST",
			data:{v_id:v_id, dated:dated, btn_action:btn_action},
			dataType:"json",
			success:function(data)
			{
				$('#dataModal').modal('show');
				$('#v_name').val(data.name);
				$('#dated').val(data.dated);
				$('#address').val(data.address);
				$('#city').val(data.city);
				$('#country').val(data.country);
				$('#phone').val(data.phone);
				$('#email').val(data.email);
				$('#web').val(data.web);
				$('#gst').val(data.gst);
				$('#stn').val(data.stn);
				$('#ntn').val(data.ntn);
				$('#op_balance').val(data.op_balance);							
				
				$('.modal-title').html("<i class='fa fa-pencil-square-o'></i> Edit vendor");
				$('#v_id').val(v_id);
				$('#action').val('Edit');
				$('#btn_action').val('Edit');
				
			}
		})
	});
	$(document).on('click', '.delete', function(){
		var v_id = $(this).attr("id");
		var status = $(this).data('status');
		var btn_action = "delete";
		if(confirm("Are you sure you want to change status?"))
		{
			$.ajax({
				url:"vendor_action.php",
				method:"POST",
				data:{v_id:v_id, status:status, btn_action:btn_action},
				success:function(data)
				{
					$('#alert_action').fadeIn().html('<div class="alert alert-info">'+data+'</div>');
					_dataTable.ajax.reload();
				}
			})
		}
		else
		{
			return false;
		}
	});
});
      
</script>
<?php
//include('footer.php');
?>
